@import '../../styles/colors';


@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.save-progress {
  float: right;
  cursor: default;
  pointer-events: none;

  &--input-action {
    float: none;

    .save-progress__group {
      position: relative;
      top:  7px;
      right: 4px;
    }
  }

  &__group {
    position: absolute;
    top: 10px;
    right: 0;
    opacity: 0;
    transition: opacity 0.2s;

    &--visible {
      opacity: 1;
    }
  }

  &__icon {
    display: inline-block;
    position: relative;
    top: 2px;
    width: 16px;
    height: 16px;
    margin-right: 5px;

    &--saving {
      transform: rotate(0deg);
      color: $color-deep-cerulean;
      fill: currentColor;
    }

    &--saved {
      color: $color-de-york;
      fill: currentColor;
    }
  }

  &__group--visible .save-progress__icon--saving {
    animation-name: spinner;
    animation-duration: 1s;
    animation-iteration-count: infinite;
  }

  &__text {
    display: inline-block;

    &--saving {
      color: $color-deep-cerulean;
    }

    &--saved {
      color: $color-de-york;
    }
  }
}
